package com.qmth.qrzk.paper.vo;

public class Stock {
	
	private String courseCode;
	
	private String courseName;
	
	private String bookName;
	
	private String bookAuthor;
	
	private String bookPress;
	
	private String bookPressYear;
	
	private String status;
	
	private Integer usedCount; //启用试卷数量
	private Integer formalCount; //清样数量
	private Integer draftCount; //毛坯数量
	
	private Integer totalCount; //总数量

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getBookName() {
		return bookName;
	}

	public void setBookName(String bookName) {
		this.bookName = bookName;
	}

	public String getBookAuthor() {
		return bookAuthor;
	}

	public void setBookAuthor(String bookAuthor) {
		this.bookAuthor = bookAuthor;
	}

	public String getBookPress() {
		return bookPress;
	}

	public void setBookPress(String bookPress) {
		this.bookPress = bookPress;
	}

	public String getBookPressYear() {
		return bookPressYear;
	}

	public void setBookPressYear(String bookPressYear) {
		this.bookPressYear = bookPressYear;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public Integer getUsedCount() {
		return usedCount;
	}

	public void setUsedCount(Integer usedCount) {
		this.usedCount = usedCount;
	}

	public Integer getFormalCount() {
		return formalCount;
	}

	public void setFormalCount(Integer formalCount) {
		this.formalCount = formalCount;
	}

	public Integer getDraftCount() {
		return draftCount;
	}

	public void setDraftCount(Integer draftCount) {
		this.draftCount = draftCount;
	}

	public Integer getTotalCount() {
		return (usedCount == null ? 0 : usedCount) + (formalCount == null ? 0 : formalCount) + (draftCount == null ? 0 : draftCount);
	}

	public void setTotalCount(Integer totalCount) {
		this.totalCount = totalCount;
	}
}
